# ISGetIndices

Returns a pointer to the indices. The user should call ISRestoreIndices() after having looked at the indices. The user should NOT change the indices.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISGetIndices(IS is,PetscInt *ptr[])

Not Collective

### Input Parameter

is -the index set

### Output Parameter

ptr -the location to put the pointer to the indices

### Fortran Note

This routine is used differently from Fortran

       IS          is

       integer     is_array(1)

       PetscOffset i_is

       int         ierr

          call ISGetIndices(is,is_array,i_is,ierr)

      Access first local entry in list

         value = is_array(i_is + 1)

         ...... other code

          call ISRestoreIndices(is,is_array,i_is,ierr)

See the Fortran chapter of the users manual and petsc/src/is/examples/[tutorials,tests] for details.

### See Also

ISRestoreIndices(), ISGetIndicesF90()

Level:intermediate
Location:src/vec/is/interface/index.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages src/vec/is/examples/tutorials/ex1.c.html
src/vec/is/examples/tutorials/ex2.c.html
src/vec/is/examples/tutorials/ex3.c.html
src/vec/is/examples/tutorials/ex1f.F.html
src/vec/is/examples/tutorials/ex2f.F.html
src/dm/ao/examples/tutorials/ex2.c.html